Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QXmlStreamEntityResolver

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QXmlStreamEntityResolver

All Implemented Interfaces:
  QtJambiInterface

    public class QXmlStreamEntityResolver

extends QtJambiObject

The `QXmlStreamEntityResolver` class provides an entity resolver for a `QXmlStreamReader`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QXmlStreamEntityResolver()` Creates a new QXmlStreamEntityResolver

Method Summary
`static QXmlStreamEntityResolver` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QXmlStreamEntityResolver instance pointed to by `nativePointer`.
`java.lang.String` | `resolveUndeclaredEntity(java.lang.String name)` Resolves the undeclared entity `name` and returns its replacement text.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlStreamEntityResolver

    public QXmlStreamEntityResolver()

  Creates a new QXmlStreamEntityResolver

Method Detail

### resolveUndeclaredEntity

    public java.lang.String resolveUndeclaredEntity(java.lang.String name)

  Resolves the undeclared entity `name` and returns its replacement text. If the entity is also unknown to the entity resolver, it returns an empty string.

  The default implementation always returns an empty string.

### fromNativePointer

    public static QXmlStreamEntityResolver fromNativePointer(QNativePointer nativePointer)

  This method returns the QXmlStreamEntityResolver instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD